POST /papi/v1/ramp/connect/prime/sell/crypto-list
Request Body
| Field | Type | Mandatory | Remarks |
|---|
| userId | string | Yes | Customer’s Binance sub-account ID |
Example
{
"userId": "54321123456"
}
curl -X POST https://{domain}/papi/v1/ramp/connect/prime/sell/crypto-list \
-H 'Content-Type: application/json' \
-H 'X-Tesla-ClientId: {your client id}' \
-H 'X-Tesla-SignAccessToken: {your access token}' \
-H 'X-Tesla-Timestamp: {now}' \
-H 'X-Tesla-Signature: {signature}' \
-d '{"userId":"{testUserId}"}'
Response Body
| Field | Type | Remarks |
|---|
| cryptoCurrencies | object array | crypto currency list |
| └─ cryptoCurrency | string | crypto currency code |
| └─ precision | int | the precision of crypto currency |
Example
{
"cryptoCurrencies": [
{
"cryptoCurrency": "BTC",
"precision": 8
},
{
"cryptoCurrency": "ETH",
"precision": 8
},
{
"cryptoCurrency": "BNB",
"precision": 8
},
{
"cryptoCurrency": "USDC",
"precision": 6
}
]
}
Last modified on